unit Unit1;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,
  System.Variants,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Graphics,
  FMX.Dialogs,
  FMX.Controls.Presentation,
  FMX.StdCtrls,
  FMX.TMSBaseControl,
  FMX.TMSScrollControl,
  FMX.TMSRichEditorBase,
  FMX.TMSRichEditor,
  FMX.Objects,
  FMX.TMSHTMLText,
  FMX.TMSRichEditorIO,
  FMX.TMSRichEditorMiniHTMLIO,
  FMX.TMSToolBar,
  FMX.TMSRichEditorToolBar,
  FMX.Memo.Types,
  FMX.ScrollBox,
  FMX.Memo;

type
  TForm1 = class(TForm)
    REMiniHTML_1: TTMSFMXRichEditorMiniHTMLIO;
    HTMLT_1: TTMSFMXHTMLText;
    RE_1: TTMSFMXRichEditor;
    BT_1: TButton;
    REFT_1: TTMSFMXRichEditorFormatToolBar;
    ME_1: TMemo;
    C_PlainHTML: TCheckBox;
    C_SpaceAsNbsp: TCheckBox;
    procedure BT_1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.BT_1Click(Sender: TObject);
begin
  RE_1.SpaceAsNbsp := C_SpaceAsNbsp.IsChecked;
  REMiniHTML_1.PlainHTML := C_PlainHTML.IsChecked;

  var
  LHTML := REMiniHTML_1.AsString;
  HTMLT_1.Text := LHTML;
  ME_1.Text := LHTML;
end;

end.
